export declare class DOMMatrix {
    _native: any;
    constructor(instance?: any);
    get native(): any;
    get nativeInstance(): any;
    get a(): number;
    set a(value: number);
    get b(): number;
    set b(value: number);
    get c(): number;
    set c(value: number);
    get d(): number;
    set d(value: number);
    get e(): number;
    set e(value: number);
    get f(): number;
    set f(value: number);
    get m11(): number;
    set m11(value: number);
    get m12(): number;
    set m12(value: number);
    get m13(): number;
    set m13(value: number);
    get m14(): number;
    set m14(value: number);
    get m21(): number;
    set m21(value: number);
    get m22(): number;
    set m22(value: number);
    get m23(): number;
    set m23(value: number);
    get m24(): number;
    set m24(value: number);
    get m31(): number;
    set m31(value: number);
    get m32(): number;
    set m32(value: number);
    get m33(): number;
    set m33(value: number);
    get m34(): number;
    set m34(value: number);
    get m41(): number;
    set m41(value: number);
    get m42(): number;
    set m42(value: number);
    get m43(): number;
    set m43(value: number);
    get m44(): number;
    set m44(value: number);
    translate(x: number, y: number): DOMMatrix;
    translateSelf(x: number, y: number): void;
    multiplySelf(matrix: DOMMatrix): void;
    preMultiplySelf(matrix: DOMMatrix): void;
    scaleNonUniform(x: number, y: number): DOMMatrix;
    scale(x: number, y: number): DOMMatrix;
    scaleNonUniformSelf(x: number, y: number): void;
    scaleSelf(x: number, y: number): void;
    rotate(angle: number, cx: number, cy: number): DOMMatrix;
    rotateSelf(angle: number, cx: number, cy: number): void;
    skewX(angle: number): DOMMatrix;
    skewXSelf(angle: number): void;
    skewY(angle: number): DOMMatrix;
    skewYSelf(angle: number): void;
    toJSON(): {
        a: number;
        b: number;
        c: number;
        d: number;
        e: number;
        f: number;
        m11: number;
        m12: number;
        m13: number;
        m14: number;
        m21: number;
        m22: number;
        m23: number;
        m24: number;
        m31: number;
        m32: number;
        m33: number;
        m34: number;
        m41: number;
        m42: number;
        m43: number;
        m44: number;
    };
}
